
# Init new players
execute as @a[tag=!init] run function cf:player/init

# Loot altar
execute as @a store result score @s num_emeralds run clear @s minecraft:emerald 0
execute as @e[tag=altar] at @s run function cf:altar/loop

# Grave mechanic
execute as @a run scoreboard players operation @s Deaths_comp = @s Deaths
execute as @a run scoreboard players operation @s Deaths_comp -= @s Deaths_prev
execute as @a[scores={Deaths_comp=1..}] at @s run function cf:player/death
execute as @a run scoreboard players operation @s Deaths_prev = @s Deaths
execute as @e[type=item] at @s if block ~ ~ ~ lava run tp @s ~ ~1 ~

# Monument
execute as @e[tag=game] run function cf:monument/loop

# Teleporters
function cf:tp/loop

# Get rid of non-custom skeles
tp @e[type=skeleton,tag=!custom] 0 -1000 0

# Particles on creepers w increased movement speed
execute as @e[type=creeper,tag=!init] if entity @s[nbt={Attributes:[{Base:0.35d,Name:"minecraft:generic.movement_speed"}]}] run tag @s add speedcreeper
execute as @e[type=creeper,tag=!init] run tag @s add init

execute as @e[type=creeper,tag=speedcreeper] at @s run particle minecraft:bubble_pop ~ ~1 ~ 0.2 0.2 0.2 0.1 1 force

# Witch poison nerf
execute as @e[type=potion,nbt={Item:{tag:{Potion:"minecraft:poison" }}}] at @s if entity @e[type=witch,distance=..2] run data merge entity @s {Item:{tag:{Potion:"",CustomPotionColor:5149489,CustomPotionEffects:[{Id:19b,Amplifier:0b,Ambient:0b,Duration:260}]}}}

# Villager murder
execute as @e[type=villager] run kill @s

# Tell players about death mechanic
execute as @a[scores={Deaths=1,time_since_death=2}] at @s run tellraw @s "Your items will be dropped in a pile that's immune to lava and explosions"
